/*
	file PackageTool.h
	
	Description:
	This file contains constant declarations and exported routine prototypes
	used in the PackageTool application.
	
	PackageTool is an application illustrating how to create application
	packages in Mac OS 9.  It provides a simple interface for converting
	correctly formatted folders into packages and vice versa.

	Copyright:  1999 by Apple Computer, Inc.
	all rights reserved.
	
	Disclaimer:
	You may incorporate this sample code into your applications without
	restriction, though the sample code has been provided "AS IS" and the
	responsibility for its operation is 100% yours.  However, what you are
	not permitted to do is to redistribute the source as "DSC Sample Code"
	after having made changes. If you're going to re-distribute the source,
	we require that you make it clear in the source that the code was
	descended from Apple Sample Code, but that you've made changes.
	
	Change History (most recent first):
	10/19/99 created
*/

#ifndef __PACKAGETOOL__
#define __PACKAGETOOL__

#define TARGET_CARBON 1

#include <MacTypes.h>
#include <Collections.h>

enum {
	kAppCreatorType = 'pTeZ',
	kAppPrefsType = 'PREF'
	
};

	/* apple menu constants */
enum {
	mApple = 128,
	iAbout = 1,
	iFirstAppleItem = 3
};

	/* file menu constants */
enum {
	mFile = 129,
	iQuit = 1
};

	/* edit menu constants */
enum {
	mEdit = 130,
	iUndo = 1,
	iCut = 3,
	iCopy = 4,
	iPaste = 5,
	iClear = 6
};

enum {	/* the main menu bar resource */
	kMenuBarResource = 128
};

	/* alert id numbers */
enum {
	kPackageDidNotVerify = 129,
	kFailedToCreatePackage = 130,
	kOpenAppFailedAlert = 135,
	kMainFailedAlert = 136,
	kAboutBoxAlert = 137,
	kRerouteFailedAlert = 138
};

	/* main string list resource constants */
enum {
	kMainStringList = 128,
	kNotAFolder = 1,
	kBundleAlreadySet = 2,
	kBrokenAlias = 3,
	kMoreThanOneAlias = 4,
	kMainOutsideOfPackage = 6,
	kNoAliasPresent = 7,
	kInSameDirectory = 8,
	kFileSharingOn = 9,
	kAliasRefersToFolder = 10,
	kAliasRedirectFolderName = 11,
	kRedirectAliasName = 12,
	kErrorRedirectingAlias = 13
};

	
/* routine prototypes */

/* ParamAlert is a general alert handling routine. It calls AEInteractWithUser
	to ensure the application is in the forground, and then it displays an alert
	after passing the s1 and s2 parameters to ParamText. */
OSStatus ParamAlert(short alertID, StringPtr s1, StringPtr s2);


/* GetCollectedPreferences returns the collection that is used for storing
	application preferences. */
Collection GetCollectedPreferences(void);

#endif
