/*
	file PackageUtils.h
	
	Description:
	This file contains the routine prototype for the IdentifyPackage
	routine package savy applications can use to identify document
	packages.
	
	PackageTool is an application illustrating how to create application
	packages in Mac OS 9.  It provides a simple interface for converting
	correctly formatted folders into packages and vice versa.

	Copyright:  1999 by Apple Computer, Inc.
	all rights reserved.
	
	Disclaimer:
	You may incorporate this sample code into your applications without
	restriction, though the sample code has been provided "AS IS" and the
	responsibility for its operation is 100% yours.  However, what you are
	not permitted to do is to redistribute the source as "DSC Sample Code"
	after having made changes. If you're going to re-distribute the source,
	we require that you make it clear in the source that the code was
	descended from Apple Sample Code, but that you've made changes.
	
	Change History (most recent first):
	10/19/99 created

*/


#ifndef __PACKAGEUTILS__
#define __PACKAGEUTILS__

#define TARGET_CARBON 1

#include <Types.h>
#include <Files.h>

/* IdentifyPackage returns true if the file system object refered to
	by *target refers to a package.  If it is a package, then 
	*mainPackageFile is set to refer to the package's main file. */
Boolean IdentifyPackage(FSSpec *target, FSSpec *mainPackageFile);

#endif
