/*
	file SimplePrefs.h
	
	Description:
	This file contains the declarations necessary for using the simple
	preference file routines defined in SimplePrefs.c.  Here, preferences
	files are implemented by saving a flattened collection in the file's
	data fork.
	
	PackageTool is an application illustrating how to create application
	packages in Mac OS 9.  It provides a simple interface for converting
	correctly formatted folders into packages and vice versa.

	Copyright:  1999 by Apple Computer, Inc.
	all rights reserved.
	
	Disclaimer:
	You may incorporate this sample code into your applications without
	restriction, though the sample code has been provided "AS IS" and the
	responsibility for its operation is 100% yours.  However, what you are
	not permitted to do is to redistribute the source as "DSC Sample Code"
	after having made changes. If you're going to re-distribute the source,
	we require that you make it clear in the source that the code was
	descended from Apple Sample Code, but that you've made changes.
	
	Change History (most recent first):
	10/19/99 created
*/
#ifndef __SIMPLEPREFS__
#define __SIMPLEPREFS__

#define TARGET_CARBON 1

#include <Types.h>
#include <Files.h>
#include <Collections.h>

OSStatus FindThePreferencesFile(OSType fType, OSType fCreator, FSSpec *prefsSpec);


OSStatus GetPreferences(OSType fType, OSType fCreator, Collection preferences);


OSStatus SavePreferences(OSType fType, OSType fCreator,
			StringPtr suggestedName, Collection preferences);

#endif
